Subject: Re: bug#18891: Doesn't handle pwd = /C: very well

From: Michael Albinus <[email-masked]>
Date: Thu, 06 Nov 2014 09:33:45 +0100

Eli Zaretskii <[email-masked]> writes:

>> > Don't blame me, the design seems to be older than my liaison with Emacs
>> > (ange-ftp.el is copyrighted since 1989; I've started with Emacs in
>> > autumn 1990, IIRC).
>> 
>> I guess Tramp could check if there's matching local dir and pass the
>> request through untouched if there is.
>
> If Tramp did that, how would the user tell Tramp that it should access
> the remote host, even though there is a matching local file?  (The
> converse situation can be handled with /: quoting.)

Indeed. And there are even cases where checking a local dir wouldn't work:

(make-directory "/C:/foo/bar/baz" t)

After all, I believe the use case (local file name, which looks like a
remote one) isn't relevant enough to add ugly hacks.

Best regards, Michael.